function InstrumentObject=OpenCLOIEthernet(IPAddress);


%use the regexp function to check for a valid IP address
if regexp(IPAddress,'^(?:[0-9]{1,3}\.){3}[0-9]{1,3}$')~=1
    %if not a valid IP address then let the user know
    disp('ERROR: Not a valid IP address');
    return
end

%create the instrument object
InstrumentObject=tcpip(IPAddress,8888, 'InputBufferSize', 2^16, 'Timeout', 60);
fopen(InstrumentObject);


%print a test string to the instrument
fprintf(InstrumentObject, 'CLOI Hello');
%and listen to the reponse
return_string=fgetl(InstrumentObject);

%If the instrument is connected OK it will responf "Hello World"
if return_string=='Hello World'
    disp(['Connected to CLOI instrument at ', IPAddress]);
else
    disp(['ERROR: Instrument not responding at', IPAddress]);
end



return




