function [V,I]=SMU1_sweep(InstrumentID,start_voltage,step_voltage,stop_voltage, sweep_type)

%calculate the number of steps in the sweep
number_of_steps=1+2*(stop_voltage-start_voltage)/step_voltage;

%check if sweep type is set to double
if strcmpi(sweep_type,'double') %case insensitive comparison
    %if so then add ' D' to the end of the command string
    command_string=['smu1 sweep ', num2str(start_voltage), ' ', num2str(step_voltage), ' ', num2str(stop_voltage), ' D'];
    %and also double the number of steps
    number_of_steps=2*number_of_steps;
else
    %if not then don't add anything to the end
    command_string=['smu1 sweep ', num2str(start_voltage), ' ', num2str(step_voltage), ' ', num2str(stop_voltage)];
end
    

disp(command_string);
while InstrumentID.TransferStatus~='idle'; disp('waiting for idle'); pause(0.001); end;
fprintf(InstrumentID, command_string); pause(0.1);
tic;
while InstrumentID.BytesAvailable==0; pause(0.001); end;
time_taken=round(toc*1000); %in ms
return_string=fgetl(InstrumentID);
%return_array=sscanf(return_string,'[%g,%g]');
disp([ num2str(time_taken), 'ms  command=',command_string,' return_string=    ', return_string]);


%strip off the brackets from the front and end of the string
return_string=return_string(2:max(size(return_string))-1);
%read the data from the string, columns seperated by commas and rows
%seperated by semi-colons
%trnspose matrix so it's the expected way around
return_matrix=sscanf(return_string,'%g,%g;',[2,number_of_steps]).';

V=return_matrix(:,1);
I=return_matrix(:,2);
