function [V,I]=SMU2(CLOI,set_voltage)


%Set a voltage and measure current on SMU1

%build a command using the oneshot command
command_string=['smu1 oneshot ', num2str(set_voltage)];

%wait until the USB bus is clear
while CLOI.TransferStatus~='idle'; disp('waiting for idle'); pause(0.001); end;

%send the command to the X100
fprintf(CLOI, command_string);

%read back the response string from the X100
return_string=fgetl(CLOI);

%if necessary for debugging then display the response string
%disp([ num2str(time_taken), 'ms  command=',command_string,'
%return_string=', return_string]);

%turn the string into an array
return_array=sscanf(return_string,'[%g,%g]');

%return the data back to the calling function
V=return_array(1);
I=return_array(2);

